#  tests for robotframework-robocop-2.1.0-pyhd8ed1ab_0 (this is a generated file);
print('===== testing package: robotframework-robocop-2.1.0-pyhd8ed1ab_0 =====');
print('running run_test.py');
#  --- run_test.py (begin) ---
import os
import shutil
import subprocess
import sys
import tempfile
from pathlib import Path

SRC_DIR = Path(os.environ["SRC_DIR"])
TESTS = SRC_DIR / "src/tests"
SKIPS = [
    # slow, don't care
    "benchmark",
    # assumes sys.argv
    "e2e",
    # assumes source repo
    "find_project_root_missing_but_git",
]

PYTEST_ARGS = ["pytest", "-vv", "-k", f"""not ({" or ".join(SKIPS)})"""]

COVERAGE_THRESHOLD = os.environ.get("COVERAGE_THRESHOLD")

if COVERAGE_THRESHOLD:
    PYTEST_ARGS += [
        "--no-cov-on-fail",
        "--cov=robocop",
        "--cov-report=term-missing:skip-covered",
        f"--cov-fail-under={COVERAGE_THRESHOLD}",
    ]

if __name__ == "__main__":
    # move the tests to a temporary dir to avoid $SRC_DIR path rewriting
    with tempfile.TemporaryDirectory() as td:
        shutil.copytree(TESTS, Path(td) / "tests")
        sys.exit(subprocess.call(PYTEST_ARGS, cwd=td))
#  --- run_test.py (end) ---

print('===== robotframework-robocop-2.1.0-pyhd8ed1ab_0 OK =====');
print("import: 'robocop'")
import robocop

